Add a session participant
POST
/v1/sessions/{session_id}/participants
const url = 'https://app.everruns.com/api/v1/sessions/example/participants';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"agent_id":"agent_01933b5a00007000800000000000001","kind":"agent","role":"host"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/sessions/example/participants \ --header 'Content-Type: application/json' \ --data '{ "agent_id": "agent_01933b5a00007000800000000000001", "kind": "agent", "role": "host" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” session_id
required
string
Session ID (prefixed, e.g., session_…)
Request Body required
Section titled “Request Body required ” Media type application/json
Request to add a participant to a session.
Responses
Section titled “ Responses ”Participant added successfully
Media type application/json
Session participant - an agent or user that has joined a session.
object
agent_id
Present for agent participants.
string | null
agent_version_id
Immutable agent version captured for an agent participant when known.
string | null
id
required
Unique identifier for the participant row (format: part_{32-hex}).
string
joined_at
required
string format: date-time
kind
required
Kind of actor participating in a session.
string
left_at
string | null format: date-time
principal_id
required
Principal that joined the session.
string
role
required
Role a participant has inside a session.
string
session_id
required
Session this participant belongs to.
string
Example
{ "agent_id": "agent_01933b5a00007000800000000000001", "agent_version_id": "agentver_01933b5a00007000800000000000001", "id": "part_01933b5a00007000800000000000001", "kind": "agent", "principal_id": "principal_01933b5a000070008000000000000001", "role": "host", "session_id": "session_01933b5a00007000800000000000001"}Invalid participant request
Session or agent not found
Participant conflicts with current membership
Internal server error